Author Topic: Upgrade 1.1.5->1.2.0 : Internal serveur error  (Read 2232 times)

Offline LoJo

  • Jr. Member
  • **
  • Posts: 15
Upgrade 1.1.5->1.2.0 : Internal serveur error
« on: June 18, 2016, 07:46:41 AM »
(re)Hi...

After upgrading 1.1.5 to 1.2.0, everything seems ok by testing with the installer script (green "OK" everywhere), but when I access to roundcube, the mail windows shows a message that says "Internal server error", and no message is showed. But the mailbox contains messages.

Please help :-\

Offline LoJo

  • Jr. Member
  • **
  • Posts: 15
[Solved] Upgrade 1.1.5->1.2.0 : Internal serveur error
« Reply #1 on: June 18, 2016, 08:00:38 AM »
So...
error log says :

[18-Jun-2016 13:45:29 Europe/Paris] PHP Fatal error:  Uncaught Error: Call to undefined method rcube_imap::get_mailbox_name() in /home/csrtl/roundcube/plugins/filters/filters.php:48
Stack trace:
#0 /home/csrtl/roundcube/program/lib/Roundcube/rcube_plugin_api.php(439): filters->filters_checkmsg(Array)
#1 /home/csrtl/roundcube/program/steps/mail/func.inc(430): rcube_plugin_api->exec_hook('messages_list', Array)
#2 /home/csrtl/roundcube/program/steps/mail/list.inc(103): rcmail_js_message_list(Array, false, Array)
#3 /home/csrtl/roundcube/index.php(291): include_once('/home/csrtl/rou...')
#4 {main}
  thrown in /home/csrtl/roundcube/plugins/filters/filters.php on line 48

I updated filetrs plugin with https://github.com/6ec123321/filters/tree/filters_PHP7_RC1.2 and everything is ok !
:-)